# Change component data

Once you've bound your data to a component, it doesn't mean you can't change it - say replace a list of Users with a list of Orders. You just have to follow the same flow as you did before when you were running your *Load Users* action.

Just to remind you, first you need to create a new action to fetch your data and select a new table you want to load, for example **Load Table > orders**. After you execute the action, simply bind the new data from the action to the Data field of the respective component.

As simple as that! The component will be regenerated based on the data structure of the new action data.

{% embed url="<https://demo.arcade.software/epx7glGBHdf6MZjGcuf6?embed=&embed_desktop=inline&embed_mobile=tab&show_copy_link=true>" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.uibakery.io/build-from-scratch/getting-started/change-component-data.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
